GROUPADD(8)

NOM
groupadd - Créer un nouveau groupe

SYNOPSIS

groupadd [-g GID [-o]] [-f] [-K CLÉ=VALEUR] groupe

DESCRIPTION

La commande groupadd crée un nouveau compte de groupe en utilisant les valeurs spécifiées sur la ligne de commande et les valeurs par défaut du système. Le nouveau groupe sera inséré dans les fichiers du système selon les besoins.

OPTIONS

Les options disponibles pour la commande groupadd sont :

-f  Avec cette option, groupadd quittera juste avec un état de succès si le groupe indiqué existe déjà. Avec l'option -g, si le groupe indiqué existe déjà, un autre gid (non utilisé) sera choisi (c.-à-d. que -g est désactivée).

-g GID
    La valeur numérique de l'identifiant du groupe (« group ID » ou GID). Cette valeur doit être unique, à moins que l'option -o ne soit utilisée. La valeur ne doit pas être négative. Par défaut le plus petit identifiant plus grand que 999 et que les identifiants des groupes existants est utilisé. Les valeurs comprises entre 0 et 999 sont généralement réservées aux comptes système.

-h, --help
    Afficher un message d'aide et quitter.

-K CLÉ=VALEUR
    Surcharger les valeurs par défaut du fichier /etc/login.defs (GID_MIN, GID_MAX et autres). L'option -K peut être indiquée plusieurs fois.

    Exemple : -K GID_MIN=10 -K GID_MAX=499

    Note : -K GID_MIN=10,GID_MAX=499 ne fonctionne pas pour l'instant.

-o  Permet de créer un groupe avec un identifiant (« GID ») déjà utilisé.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/gshadow
    Informations sécurisées sur les groupes.

/etc/login.defs
    Configuration de la suite des mots de passe cachés « shadow password ».

AVERTISSEMENTS

Les noms de groupe doivent commencer par une lettre minuscule ou un tiret bas (« underscore »), et seuls des lettres minuscules, des chiffres, des « underscore », des tirets ou un dollar peuvent suivre. Soit, sous la forme d'une expression rationnelle : [a-z_][a-z0-9_-]*[$]

Les noms de groupe sont limités à 16 caractères.

Si le nom du groupe existe dans une base de données externe, telle que NIS, groupadd refusera de créer le groupe.

Les noms de groupe sont limités à 16 caractères.

VALEURS DE RETOUR

La commande groupadd retourne les valeurs suivantes en quittant :

0   succès

2   erreur de syntaxe

3   paramètre non valable pour l'option

4   GID déjà utilisé (et -o n'est pas utilisé)

9   nom de groupe déjà utilisé

10  impossible de mettre à jour le fichier des groupes

VOIR AUSSI

chfn(1), chsh(1), passwd(1), gpasswd(8), groupdel(8), groupmod(8), login.defs(5), useradd(8), userdel(8), usermod(8).